Description: Remove hardcoded build flags
 In particular, this ensures that DEB_BUILD_OPTIONS=noopt works as expected.
Author: Sébastien Villemot <sebastien@debian.org>
Forwarded: not-needed
Last-Update: 2023-01-07
---
This patch header follows DEP-3: http://dep.debian.net/deps/dep3/
--- a/libretro/Makefile
+++ b/libretro/Makefile
@@ -720,27 +720,6 @@ endif
 CFLAGS += -DGIT_VERSION=\"$(GIT_VERSION)\"
 CXXFLAGS += -DGIT_VERSION=\"$(GIT_VERSION)\"
 
-ifeq ($(DEBUG), 1)
-ifneq (,$(findstring msvc,$(platform)))
-CFLAGS   += -MTd
-CXXFLAGS += -MTd
-CFLAGS   += -Od -Zi -D_DEBUG
-CXXFLAGS += -Od -Zi -D_DEBUG
-else
-CFLAGS   += -O0 -g
-CXXFLAGS += -O0 -g
-endif
-CFLAGS   += -DDEBUG
-CXXFLAGS += -DDEBUG
-else
-ifneq (,$(findstring msvc,$(platform)))
-CFLAGS   += -MT
-CXXFLAGS += -MT
-endif
-CFLAGS   += -O2 -DNDEBUG
-CXXFLAGS += -O2 -DNDEBUG
-endif
-
 CORE_DIR = ..
 
 include Makefile.common
